# -*- encoding: utf-8 -*-
# stub: googleauth 0.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "googleauth".freeze
  s.version = "0.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tim Emiola".freeze]
  s.date = "2017-01-31"
  s.description = "   Allows simple authorization for accessing Google APIs.\n   Provide support for Application Default Credentials, as described at\n   https://developers.google.com/accounts/docs/application-default-credentials\n".freeze
  s.email = "temiola@google.com".freeze
  s.files = [".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".rubocop_todo.yml".freeze, ".travis.yml".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "COPYING".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "debian/changelog".freeze, "debian/compat".freeze, "debian/control".freeze, "debian/copyright".freeze, "debian/ruby-googleauth.docs".freeze, "debian/ruby-tests.rake".freeze, "debian/rules".freeze, "debian/source/format".freeze, "debian/watch".freeze, "googleauth.gemspec".freeze, "lib/googleauth.rb".freeze, "lib/googleauth/client_id.rb".freeze, "lib/googleauth/compute_engine.rb".freeze, "lib/googleauth/credentials_loader.rb".freeze, "lib/googleauth/iam.rb".freeze, "lib/googleauth/scope_util.rb".freeze, "lib/googleauth/service_account.rb".freeze, "lib/googleauth/signet.rb".freeze, "lib/googleauth/stores/file_token_store.rb".freeze, "lib/googleauth/stores/redis_token_store.rb".freeze, "lib/googleauth/token_store.rb".freeze, "lib/googleauth/user_authorizer.rb".freeze, "lib/googleauth/user_refresh.rb".freeze, "lib/googleauth/version.rb".freeze, "lib/googleauth/web_user_authorizer.rb".freeze, "spec/googleauth/apply_auth_examples.rb".freeze, "spec/googleauth/client_id_spec.rb".freeze, "spec/googleauth/compute_engine_spec.rb".freeze, "spec/googleauth/get_application_default_spec.rb".freeze, "spec/googleauth/iam_spec.rb".freeze, "spec/googleauth/scope_util_spec.rb".freeze, "spec/googleauth/service_account_spec.rb".freeze, "spec/googleauth/signet_spec.rb".freeze, "spec/googleauth/stores/file_token_store_spec.rb".freeze, "spec/googleauth/stores/redis_token_store_spec.rb".freeze, "spec/googleauth/stores/store_examples.rb".freeze, "spec/googleauth/user_authorizer_spec.rb".freeze, "spec/googleauth/user_refresh_spec.rb".freeze, "spec/googleauth/web_user_authorizer_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/google/google-auth-library-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "2.5.2".freeze
  s.summary = "Google Auth Library for Ruby".freeze
  s.test_files = ["spec/googleauth/apply_auth_examples.rb".freeze, "spec/googleauth/client_id_spec.rb".freeze, "spec/googleauth/compute_engine_spec.rb".freeze, "spec/googleauth/get_application_default_spec.rb".freeze, "spec/googleauth/iam_spec.rb".freeze, "spec/googleauth/scope_util_spec.rb".freeze, "spec/googleauth/service_account_spec.rb".freeze, "spec/googleauth/signet_spec.rb".freeze, "spec/googleauth/stores/file_token_store_spec.rb".freeze, "spec/googleauth/stores/redis_token_store_spec.rb".freeze, "spec/googleauth/stores/store_examples.rb".freeze, "spec/googleauth/user_authorizer_spec.rb".freeze, "spec/googleauth/user_refresh_spec.rb".freeze, "spec/googleauth/web_user_authorizer_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.9"])
      s.add_runtime_dependency(%q<logging>.freeze, ["~> 2.0"])
      s.add_runtime_dependency(%q<jwt>.freeze, ["~> 1.4"])
      s.add_runtime_dependency(%q<memoist>.freeze, ["~> 0.12"])
      s.add_runtime_dependency(%q<multi_json>.freeze, ["~> 1.11"])
      s.add_runtime_dependency(%q<os>.freeze, ["~> 0.9"])
      s.add_runtime_dependency(%q<signet>.freeze, ["~> 0.7"])
    else
      s.add_dependency(%q<faraday>.freeze, ["~> 0.9"])
      s.add_dependency(%q<logging>.freeze, ["~> 2.0"])
      s.add_dependency(%q<jwt>.freeze, ["~> 1.4"])
      s.add_dependency(%q<memoist>.freeze, ["~> 0.12"])
      s.add_dependency(%q<multi_json>.freeze, ["~> 1.11"])
      s.add_dependency(%q<os>.freeze, ["~> 0.9"])
      s.add_dependency(%q<signet>.freeze, ["~> 0.7"])
    end
  else
    s.add_dependency(%q<faraday>.freeze, ["~> 0.9"])
    s.add_dependency(%q<logging>.freeze, ["~> 2.0"])
    s.add_dependency(%q<jwt>.freeze, ["~> 1.4"])
    s.add_dependency(%q<memoist>.freeze, ["~> 0.12"])
    s.add_dependency(%q<multi_json>.freeze, ["~> 1.11"])
    s.add_dependency(%q<os>.freeze, ["~> 0.9"])
    s.add_dependency(%q<signet>.freeze, ["~> 0.7"])
  end
end
